from enum import IntEnum

class CallDeviceStatus(IntEnum):
    """呼叫器设备状态枚举"""
    START = 1
    END = 0
    
class CallDeviceButtonStatus(IntEnum):
    """呼叫器按钮状态枚举"""
    INIT: str = "0" # 初始化
    DOWN: str = "1" # 按下    
    CANCEL: str = "0" # 释放

class CallDeviceButtonType(IntEnum):
    """呼叫器按钮信号类型枚举"""
    BUTTON = 1 # 按钮
    LIGHT = 2 # 灯
    



